Subject: bug#13041: 24.2; diacritic-fold-search

From: "Drew Adams" <[email-masked]>
Date: Wed, 5 Dec 2012 07:38:20 -0800

> The most important application I see for this is within `sort-subr'
> where I want to compare buffer substrings in situ by passing their
> boundaries.  Hence I plan to provide a version working in terms of
> buffer positions.  For simple string checking your version might be
> preferable.

Please do whatever is right - using positions as you intended.